<template>
    <view>
        <view @tap="toOpen">请选择</view>
        <jpSelect ref="jpSelect" :list="list" @checked="checked" :item="item" select="more" tite="请选择最美诗句"></jpSelect>
    </view>
</template>

<script>
    import jpSelect from '@/components/jp-select/jp-select.vue';
    export default {
        components: {
            jpSelect
        },
        data() {
            return {
                item: '',
                list: [{
                    id: '01',
                    name: '春江潮水连海平，海上明月共潮生。'
                }, {
                    id: '02',
                    name: '滟滟随波千万里，何处春江无月明！'
                }]
            }
        },
		onLoad() {
			this.getResidentailList()
		},
        methods: {
            checked(el) {
                this.item = el
            },
            toOpen() {
                this.$refs.jpSelect.toOpen()
            },
			getResidentailList(){
				let params={
					size:30,
					name:this.keyword
				}
				this.$api.residential.pageBycondition(params).then(res=>{
					this.list=res.data.records
				})
			},
        }
    }
</script>

<style>

</style>
